Bug 801731 - Frequent disconnects are causing the same peer to get added to the list more than once
Frequent disconnects are causing the same peer to get added to the list more ...
Status: CLOSED UPSTREAM
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 04:54 EST by M S Vishwanath Bhat
Modified: 2015-11-03 18:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-29 03:35:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2012-03-09 04:54:38 EST
Description of problem:
Frequent disconnects are causing same peer to get added to the peerinfo list more than once. As a result 'gluster peer status' results same peer to be listed more than once.

Version-Release number of selected component (if applicable):
git master with head at 9ae2f79879b295639b55411c5339eba04e627345

How reproducible:
Not Consistently
Comment 1 Anand Avati 2012-03-12 08:19:29 EDT
CHANGE: http://review.gluster.com/2918 (glusterd: Peer(s) mustn't send updates about members not yet in cluster) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2012-03-13 07:55:08 EDT
CHANGE: http://review.gluster.com/2934 (glusterd: Updates on members of cluster must include peer to-be friended) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Anand Avati 2012-03-14 06:34:58 EDT
CHANGE: http://review.gluster.com/2941 (glusterd: Checked if peer is connected and 'handshaked' before sending updates) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 4 M S Vishwanath Bhat 2012-03-29 03:35:55 EDT
Issue has been resolved now. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.